// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package log

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/log"
)

/******************************************************************************
 *
 * @Description              : PackOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var PackOrder_PlantNr = grmi.NewField("PlantNr", "LOG_PackOrder.PlantNr", "plantnr", grmi.TypeInt)
var PackOrder_PackOrderId = grmi.NewField("PackOrderId", "LOG_PackOrder.PackOrderId", "packorderid", grmi.TypeString)
var PackOrder_OrderInfo = grmi.NewField("OrderInfo", "LOG_PackOrder.OrderInfo", "orderinfo", grmi.TypeString)
var PackOrder_PackTemplateId = grmi.NewField("PackTemplateId", "LOG_PackOrder.PackTemplateId", "packtemplateid", grmi.TypeString)
var PackOrder_PackTypeId = grmi.NewField("PackTypeId", "LOG_PackOrder.PackTypeId", "packtypeid", grmi.TypeString)
var PackOrder_TerminalId = grmi.NewField("TerminalId", "LOG_PackOrder.TerminalId", "terminalid", grmi.TypeString)
var PackOrder_PersonNr = grmi.NewField("PersonNr", "LOG_PackOrder.PersonNr", "personnr", grmi.TypeInt)
var PackOrder_ShiftId = grmi.NewField("ShiftId", "LOG_PackOrder.ShiftId", "shiftid", grmi.TypeString)
var PackOrder_MaterialId = grmi.NewField("MaterialId", "LOG_PackOrder.MaterialId", "materialid", grmi.TypeString)
var PackOrder_Status = grmi.NewField("Status", "LOG_PackOrder.Status", "status", grmi.TypeInt)
var PackOrder_ShortPack = grmi.NewField("ShortPack", "LOG_PackOrder.ShortPack", "shortpack", grmi.TypeInt)
var PackOrder_ShortBy = grmi.NewField("ShortBy", "LOG_PackOrder.ShortBy", "shortby", grmi.TypeString)
var PackOrder_ShortTime = grmi.NewField("ShortTime", "LOG_PackOrder.ShortTime", "shorttime", grmi.TypeDateTime)
var PackOrder_ShipStatus = grmi.NewField("ShipStatus", "LOG_PackOrder.ShipStatus", "shipstatus", grmi.TypeInt)
var PackOrder_PlanQty = grmi.NewField("PlanQty", "LOG_PackOrder.PlanQty", "planqty", grmi.TypeFloat64)
var PackOrder_ActQty = grmi.NewField("ActQty", "LOG_PackOrder.ActQty", "actqty", grmi.TypeFloat64)
var PackOrder_OpenTime = grmi.NewField("OpenTime", "LOG_PackOrder.OpenTime", "opentime", grmi.TypeDateTime)
var PackOrder_CloseTime = grmi.NewField("CloseTime", "LOG_PackOrder.CloseTime", "closetime", grmi.TypeDateTime)
var PackOrder_BackFlushStatus = grmi.NewField("BackFlushStatus", "LOG_PackOrder.BackFlushStatus", "backflushstatus", grmi.TypeInt)
var PackOrder_BackFlushTime = grmi.NewField("BackFlushTime", "LOG_PackOrder.BackFlushTime", "backflushtime", grmi.TypeDateTime)
var PackOrder_BoxSid = grmi.NewField("BoxSid", "LOG_PackOrder.BoxSid", "boxsid", grmi.TypeString)
var PackOrder_SyncSid = grmi.NewField("SyncSid", "LOG_PackOrder.SyncSid", "syncsid", grmi.TypeString)
var PackOrder_PKOCustC1 = grmi.NewField("PKOCustC1", "LOG_PackOrder.PKO_CustC1", "pkocustc1", grmi.TypeString)
var PackOrder_PKOCustC2 = grmi.NewField("PKOCustC2", "LOG_PackOrder.PKO_CustC2", "pkocustc2", grmi.TypeString)
var PackOrder_PKOCustI1 = grmi.NewField("PKOCustI1", "LOG_PackOrder.PKO_CustI1", "pkocusti1", grmi.TypeInt)
var PackOrder_PKOCustI2 = grmi.NewField("PKOCustI2", "LOG_PackOrder.PKO_CustI2", "pkocusti2", grmi.TypeInt)
var PackOrder_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "LOG_PackOrder.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var PackOrder_LastModify = grmi.NewField("LastModify", "LOG_PackOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var PackOrder_LastUser = grmi.NewField("LastUser", "LOG_PackOrder.LastUser", "lastuser", grmi.TypeString)
var PackOrder_CreateTime = grmi.NewField("CreateTime", "LOG_PackOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-22 16:01:03
 *
 ******************************************************************************/
var PackOrder = grmi.NewEntity(
	"LOG_PackOrder",
	func() interface{} { return &model.PackOrder{} },
	map[string]grmi.Field{
		PackOrder_PlantNr.Name:         PackOrder_PlantNr,
		PackOrder_PackOrderId.Name:     PackOrder_PackOrderId,
		PackOrder_OrderInfo.Name:       PackOrder_OrderInfo,
		PackOrder_PackTemplateId.Name:  PackOrder_PackTemplateId,
		PackOrder_PackTypeId.Name:      PackOrder_PackTypeId,
		PackOrder_TerminalId.Name:      PackOrder_TerminalId,
		PackOrder_PersonNr.Name:        PackOrder_PersonNr,
		PackOrder_ShiftId.Name:         PackOrder_ShiftId,
		PackOrder_MaterialId.Name:      PackOrder_MaterialId,
		PackOrder_Status.Name:          PackOrder_Status,
		PackOrder_ShortPack.Name:       PackOrder_ShortPack,
		PackOrder_ShortBy.Name:         PackOrder_ShortBy,
		PackOrder_ShortTime.Name:       PackOrder_ShortTime,
		PackOrder_ShipStatus.Name:      PackOrder_ShipStatus,
		PackOrder_PlanQty.Name:         PackOrder_PlanQty,
		PackOrder_ActQty.Name:          PackOrder_ActQty,
		PackOrder_OpenTime.Name:        PackOrder_OpenTime,
		PackOrder_CloseTime.Name:       PackOrder_CloseTime,
		PackOrder_BackFlushStatus.Name: PackOrder_BackFlushStatus,
		PackOrder_BackFlushTime.Name:   PackOrder_BackFlushTime,
		PackOrder_BoxSid.Name:          PackOrder_BoxSid,
		PackOrder_SyncSid.Name:         PackOrder_SyncSid,
		PackOrder_PKOCustC1.Name:       PackOrder_PKOCustC1,
		PackOrder_PKOCustC2.Name:       PackOrder_PKOCustC2,
		PackOrder_PKOCustI1.Name:       PackOrder_PKOCustI1,
		PackOrder_PKOCustI2.Name:       PackOrder_PKOCustI2,
		PackOrder_WorkPlaceNr.Name:     PackOrder_WorkPlaceNr,
		PackOrder_LastModify.Name:      PackOrder_LastModify,
		PackOrder_LastUser.Name:        PackOrder_LastUser,
		PackOrder_CreateTime.Name:      PackOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"OrderInfo", "PackTemplateId", "PackTypeId", "TerminalId", "PersonNr", "ShiftId", "MaterialId", "Status", "ShortPack", "ShortBy", "ShortTime", "ShipStatus", "PlanQty", "ActQty", "OpenTime", "CloseTime", "BackFlushStatus", "BackFlushTime", "BoxSid", "SyncSid", "PKO_CustC1", "PKO_CustC2", "PKO_CustI1", "PKO_CustI2", "WorkPlaceNr", "LastUser"})
